Package com.io7m.jregions.core.unparameterized.volumes

# Interface VolumeValuesFType

All Superinterfaces:
  `VolumeSizeValuesFType`

All Known Subinterfaces:
  `PVolumeFType<S>`, `VolumeFType`

All Known Implementing Classes:
  `PVolumeF`, `VolumeF`

    public interface VolumeValuesFType
    extends VolumeSizeValuesFType

A volume with `float` coordinates.

The coordinates of the volume are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `float` | `maximumX()` |
  `float` | `maximumY()` |
  `float` | `maximumZ()` |
  `float` | `minimumX()` |
  `float` | `minimumY()` |
  `float` | `minimumZ()` |
  `default float` | `sizeX()` |
  `default float` | `sizeY()` |
  `default float` | `sizeZ()` |

- ## Method Details

  - ### minimumX

    @Parameter(order=0) float minimumX()
    Returns:
      The value on the X axis of the minimum edge of the box (inclusive)

  - ### maximumX

    @Parameter(order=1) float maximumX()
    Returns:
      The value on the X axis of the maximum edge of the box (exclusive)

  - ### minimumY

    @Parameter(order=2) float minimumY()
    Returns:
      The value on the Y axis of the minimum edge of the box (inclusive)

  - ### maximumY

    @Parameter(order=3) float maximumY()
    Returns:
      The value on the Y axis of the maximum edge of the box (exclusive)

  - ### minimumZ

    @Parameter(order=4) float minimumZ()
    Returns:
      The value on the Z axis of the minimum edge of the box (inclusive)

  - ### maximumZ

    @Parameter(order=5) float maximumZ()
    Returns:
      The value on the Z axis of the maximum edge of the box (exclusive)

  - ### sizeX

    default float sizeX()
    Specified by:
      `sizeX` in interface `VolumeSizeValuesFType`
    Returns:
      The size of the area on the X axis

  - ### sizeY

    default float sizeY()
    Specified by:
      `sizeY` in interface `VolumeSizeValuesFType`
    Returns:
      The size of the area on the Y axis

  - ### sizeZ

    default float sizeZ()
    Specified by:
      `sizeZ` in interface `VolumeSizeValuesFType`
    Returns:
      The size of the area on the Z axis